import request from '@/utils/axios'
import { getFun, postFun,postThree } from "@/service/table.js";
/*get请求*/
// export function getFun(url,params) {
//     return request({
//       url: url,
//       method: 'get',
//       params
//     })
// }
/* post请求 */

//消息信息列表
export function postMessgaelist(data,params) {
  return postThree('/messageInfo/list', data,params)
}

// //消息信息列表
// export function postWarnList(data,params) {
//   return postThree('warn/pushBase/list', data,params)
// }
//未读消息变为已读
export function noticeRemove(data) {
  return postFun('/messageInfo/changeRead', data)
}
//清除未读消息列表
export function removeAllMessgae(data) {
  return postFun("/messageInfo/changeStatus", data)
}
//删除已读消息
export function removeMessgae(data) {
  return postFun("/messageInfo/remove", data)
}
//待办事项列表
export function waitList(data,params) {
  return postThree("/backlogInfo/list",data,params)
}
//未读消息数 
export function badgeNumber(data) {
  return getFun("/backlogInfo/unReadCount", data);
}
//删除已办事项
export function removeWaitList(data) {
  return postFun("/backlogInfo/remove", data)
}

// //通知公告列表
// export function notificationList(data) {
//   return postFun("/noticeInfo/list", data)
// }
// //清除通知公告未读
// export function removeAllNotification(data) {
//   return getFun("/noticeInfo/changeStatus", data)
// }
// //清除通知未读改为已读
// export function readNotification(data) {
//   return postFun("/noticeInfo/changeRead", data)
// }
// //删除已读通知列表
// export function removeNotification(data) {
//   return postFun("/noticeInfo/remove", data)
// }